Module
Inhalte
Index 🔎︎

# Anweisung End

Beendet eine Prozedur oder einen Prozedurabschnitt (Block).

## Syntax:

    End, End Function, End If, End Select, End Sub

## Parameter:

Sie können die End-Anweisung wie folgt verwenden:

## Anweisung

End : Ist niemals erforderlich, kann aber an einer beliebigen Stelle innerhalb einer Prozedur angegeben werden, um den Programmablauf zu stoppen.

End Function: Beendet eine Anweisung Function.

End If : Kennzeichnet das Ende eines Blockes If...Then...Else.

End Select : Kennzeichnet das Ende eines Select Case-Blockes.

End Sub: Beendet eine Anweisung Sub.

## Beispiel:

    Sub ExampleRandomSelect

    Dim iVar As Integer

        iVar = Int((15 * Rnd) -2)

        Select Case iVar

            Case 1 To 5

                Print "Zahl von 1 bis 5"

            Case 6, 7, 8

                Print "Zahl von 6,7 oder 8"

            Case Is > 8 And iVar < 11

                Print "Größer als 8"

            Case Else

                Print "Außerhalb von 1 bis 10"

        End Select

    End Sub